summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Azure Zanculmarktum2017-10-13 00:20:29 +0200
committer David Spencer2017-10-14 15:47:00 +0200
commit6835bd8913b57b9bf48d0013aacdffd188443ae0 (patch)
tree914a3447f0ab5d3e448a5bf33ce354bf8745bee8
parent51d99d0548c058c7fde7c0e350d9dcf68b07ac2a (diff)
downloadslackbuilds-6835bd8913b57b9bf48d0013aacdffd188443ae0.tar.gz
network/conkeror: Added (programmable web browser).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/conkeror/README6
-rw-r--r--network/conkeror/conkeror.SlackBuild102
-rw-r--r--network/conkeror/conkeror.info10
-rw-r--r--network/conkeror/doinst.sh4
-rw-r--r--network/conkeror/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/network/conkeror/README b/network/conkeror/README
new file mode 100644
index 0000000000..f1e80aa397
--- /dev/null
+++ b/network/conkeror/README
@@ -0,0 +1,6 @@
+Conkeror is a keyboard-oriented, highly-customizable, highly-extensible
+web browser based on Mozilla XULRunner, written mainly in JavaScript,
+and inspired by exceptional software such as Emacs and vi. Conkeror
+features a sophisticated keyboard system, allowing users to run commands
+and interact with content in powerful and novel ways. It is
+self-documenting, featuring a powerful interactive help system.
diff --git a/network/conkeror/conkeror.SlackBuild b/network/conkeror/conkeror.SlackBuild
new file mode 100644
index 0000000000..5e33fd0afa
--- /dev/null
+++ b/network/conkeror/conkeror.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for conkeror
+
+# Copyright 2017 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=conkeror
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVERSION=11121bed996ce84e3536c3c8266cdf3164e02b5a
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${SRCVERSION%?????????????????????????????????}
+if [ -f "$CWD/$PRGNAM-${SRCVERSION%?????????????????????????????????}.tar.gz" ]; then
+ tar xvf $CWD/$PRGNAM-${SRCVERSION%?????????????????????????????????}.tar.gz
+else
+ tar xvf $CWD/$SRCVERSION.tar.gz
+fi
+cd $PRGNAM-${SRCVERSION%?????????????????????????????????}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's@^\(CFLAGS \)?\(= \).*@\1\2'"$SLKCFLAGS"'@
+s@^\(PREFIX \)?\(= \).*@\1\2/usr@
+s@^\(MANPREFIX \)?\(= \).*@\1\2/usr/man@
+s@\(\$(DESTDIR)\)/\$(PREFIX)/share/doc/conkeror@\1/usr/doc/'"$PRGNAM-$VERSION"'@g' \
+ Makefile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/conkeror/conkeror.info b/network/conkeror/conkeror.info
new file mode 100644
index 0000000000..a22db959de
--- /dev/null
+++ b/network/conkeror/conkeror.info
@@ -0,0 +1,10 @@
+PRGNAM="conkeror"
+VERSION="1.0.3"
+HOMEPAGE="http://conkeror.org/"
+DOWNLOAD="http://repo.or.cz/conkeror.git/snapshot/11121bed996ce84e3536c3c8266cdf3164e02b5a.tar.gz"
+MD5SUM="66d0f835762994225e62b04035402e39"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"
diff --git a/network/conkeror/doinst.sh b/network/conkeror/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/network/conkeror/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/conkeror/slack-desc b/network/conkeror/slack-desc
new file mode 100644
index 0000000000..99d882e246
--- /dev/null
+++ b/network/conkeror/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+conkeror: conkeror (a programmable web browser based on Mozilla XULRunner)
+conkeror:
+conkeror: Conkeror is a keyboard-oriented, highly-customizable,
+conkeror: highly-extensible web browser based on Mozilla XULRunner, written
+conkeror: mainly in JavaScript, and inspired by exceptional software such as
+conkeror: Emacs and vi.
+conkeror:
+conkeror:
+conkeror:
+conkeror:
+conkeror: